Bug 9903 - Sort by date broken on patron detail page
Summary: Sort by date broken on patron detail page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact:
URL: /members/moremember.pl?borrowernumber=X
Whiteboard:
Keywords:
Depends on: 9887
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 15:18 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9903 - Sort by date broken on patron detail page (6.82 KB, patch)
2013-04-09 12:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9903 - Sort by date broken on patron detail page (6.83 KB, patch)
2013-04-12 16:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 9903 - Sort by date broken on patron detail page (6.95 KB, patch)
2013-04-23 20:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9903: Followup: use the KohaDates T::T plugin to display dates. (5.75 KB, patch)
2013-04-24 08:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-22 15:18:41 UTC
Date sorting (due date column, checked out date column) is incorrect for metric dates. This page should be updated to use the same technique Bug 9887 uses: sorting on hidden unformatted date data.
Comment 1 Owen Leonard 2013-04-09 12:59:53 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-04-12 16:29:22 UTC
After applying this patch, I can no longer sort holds on moremember.pl
Comment 3 Kyle M Hall 2013-04-12 16:40:06 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-04-19 12:16:02 UTC
Owen,
Isn't possible to use the KohaDates plugin and don't call output_pref in the perl script?
It will avoid to pass new variables.
(In order to have something like <span title="[% issueloo.date_due %]">[% issueloo.date_due | $KohaDates %]</span>)
Comment 5 Katrin Fischer 2013-04-23 20:30:59 UTC
Created attachment 17627 [details] [review]
[PASSED QA] Bug 9903 - Sort by date broken on patron detail page

When the patron detail page switched to DataTables no accommodation was
made for metric date formats in sorting.

This patch adds sorting based on data in a span's title attribute, and
thus requires that the patch for Bug 9887 be applied.

To test, view the detail page for a patron who has assorted checkouts,
relatives' checkouts, and holds. Sorting of date columns should be
correct with the dateformat preference set to any value.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and QA script pass.
Nice improvement.
Comment 6 Katrin Fischer 2013-04-24 07:35:09 UTC
Hi Owen,

sorry, I see now that I missed Jonathans question in comment 4 when I looked at this, could you provide a follow up/new patch/feedback...?
Comment 7 Jonathan Druart 2013-04-24 08:40:38 UTC
Created attachment 17643 [details] [review]
Bug 9903: Followup: use the KohaDates T::T plugin to display dates.
Comment 8 Jared Camins-Esakov 2013-04-24 13:12:02 UTC
This patch has been pushed to master and 3.12.x.